org.keycloak.forms.login.freemarker.model

## Class IdentityProviderBean

- java.lang.Object
- - org.keycloak.forms.login.freemarker.model.IdentityProviderBean

-     public class IdentityProviderBean
      extends Object

  Author:
    Stian Thorgersen, Vlastimil Elias (velias at redhat dot com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IdentityProviderBean.IdentityProvider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OrderedModel.OrderedModelComparator<IdentityProviderBean.IdentityProvider>` | `IDP_COMPARATOR_INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderBean(RealmModel realm, KeycloakSession session, List<IdentityProviderModel> identityProviders, URI baseURI)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<IdentityProviderBean.IdentityProvider>` | `getProviders()`
    `boolean` | `isDisplayInfo()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IDP_COMPARATOR_INSTANCE

          public static OrderedModel.OrderedModelComparator<IdentityProviderBean.IdentityProvider> IDP_COMPARATOR_INSTANCE

  - ### Constructor Detail

    - #### IdentityProviderBean

          public IdentityProviderBean(RealmModel realm,
                                      KeycloakSession session,
                                      List<IdentityProviderModel> identityProviders,
                                      URI baseURI)

  - ### Method Detail

    - #### getProviders

          public List<IdentityProviderBean.IdentityProvider> getProviders()

    - #### isDisplayInfo

          public boolean isDisplayInfo()

Copyright © 2021 JBoss by Red Hat. All rights reserved.